package w83b.w83bDAO;

import java.util.HashMap;
import java.util.List;


import w83b.w83bBeans.W83bCitacionBean;
import w83b.w83bBeans.W83bImpugnacionBean;
import w83b.w83bBeans.W83bSindicatosBean;
import w83b.w83bBeans.W83bUsuarioXLNetsBean;





public interface W83bICitacionesDAO {
	public java.util.List buscarCitaciones(w83b.w83bBeans.W83bCitacionBean param)throws Exception;
	
	public String contarCitaciones(w83b.w83bBeans.W83bCitacionBean param)throws Exception;
	public List buscarSindicatos(w83b.w83bBeans.W83bCitacionBean param) throws Exception;
	public void anyadirSindicatos(W83bCitacionBean param) throws Exception;
	public void anyadirInteresados(W83bCitacionBean param) throws Exception;
	public void editarSindicatos(W83bCitacionBean param) throws Exception;
	public void editarInteresados(W83bCitacionBean param) throws Exception;
	public W83bCitacionBean anyadirCitaciones(W83bCitacionBean param) throws Exception;

	
	public boolean borrarCitacion(String param,W83bUsuarioXLNetsBean usuarioBean) throws Exception;
	public boolean borrarTramite(String param,W83bUsuarioXLNetsBean usuarioBean) throws Exception;

	public boolean borrarSindicatos(String param,W83bUsuarioXLNetsBean usuarioBean) throws Exception;
	public boolean borrarInteresados(String param,W83bUsuarioXLNetsBean usuarioBean) throws Exception;
	
	public void borrarSindicatosCitaciones(W83bCitacionBean param) throws Exception;
	public void borrarInteresadosCitaciones(W83bCitacionBean param) throws Exception;
	
	public W83bCitacionBean obtenerDatosBasicosCitacion(HashMap param,W83bUsuarioXLNetsBean usuarioBean) throws Exception;
	public HashMap obtenerDatosComunicacionCitacion(HashMap param,W83bUsuarioXLNetsBean usuarioBean) throws Exception;
	
	public boolean existeCitacion(HashMap param)	throws Exception;
	public boolean existeCitacion(W83bCitacionBean param)throws Exception;
	public void editarCitaciones(W83bCitacionBean param)throws Exception;

	public W83bImpugnacionBean obtenerDatosBasicosImpugnacion(HashMap mapaResultado) throws Exception;
	
	public List obtenerCitas(HashMap param ) throws Exception ;

	public HashMap obtenerDatosAcuseCitacion(HashMap param,	W83bUsuarioXLNetsBean usuarioXLNetsBean)throws Exception ;
	
	public W83bSindicatosBean cargarDatosSindicatos(String codigo) throws Exception;
	
}